Skip to main content
GET
Get a standing approval

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-31

Path Parameters

id
string
required
Pattern: ^stap_[0-9a-f]{32}$

Response

Success

id
string
required
Pattern: ^stap_[0-9a-f]{32}$
workspace_id
string
required
Pattern: ^wrkspc_[0-9a-f]{32}$
action_approval_id
string
required
Pattern: ^approval_[0-9a-f]{32}$
subject_principal
string
required
Pattern: ^prin_[0-9a-f]{32}$
agent_placement_id
string
required
Pattern: ^aplace_[0-9a-f]{32}$
collaboration_space_id
string
required
Pattern: ^cspace_[0-9a-f]{32}$
connection_id
string
required
Pattern: ^conn_[0-9a-f]{32}$
tool_source_id
string
required
Pattern: ^ts_[0-9a-f]{32}$
tool_name
string
required
Pattern: ^[a-z0-9](?:[a-z0-9._-]{0,93})$
connection_version
integer
required
scope
enum<string>
required
Available options:
exact_arguments,
tool_on_connection
arguments_hash
string | null
required
Pattern: ^sha256:[0-9a-f]{64}$
expires_at
string
required

A canonical UTC ISO-8601 StandingApproval instant with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
minted_by
object
required
status
enum<string>
required
Available options:
active,
revoked,
expired
version
integer
required
created_at
string
required

A canonical UTC ISO-8601 StandingApproval instant with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
updated_at
string
required